<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:pain="urn:iso:std:iso:20022:tech:xsd:pain.001.003.03">
	<xsl:output version="5.0" method="html" indent="no" encoding="ISO-8859-1"
	doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN"
	doctype-system="http://www.w3.org/TR/html4/loose.dtd" />
  <xsl:template match="/pain:Document">
    <html>
      <head>
        <title>berweisungen [Dateiname]</title>
        <style type="text/css">
          body, td, th {
            font-family:Arial,sans-serif;
            font-size:10pt;
          }
          body {
            background-color:#eeeeee;
          }
          table {
            border:2px solid #000000;
            border-collapse:collapse;
            margin-left:auto;
            margin-right:auto;
          }
          td,th {
            border:1px solid #000000;
            border-spacing:0px;
            padding:2px;
            vertical-align:top;
          }
          td {
            background-color:#ffffff;
          }
          th {
            border-bottom-width:2px;
            text-align:left;
            background-color:#dddddd;
          }
        </style>
      </head>
      <body>
        <h2>
          <center>
            berweisungen [Dateiname]
          </center>
        </h2>
				<!-- Header -->
				<xsl:for-each select="//pain:GrpHdr">
					<table>
						<tr>
							<th colspan="2">
								<center>
									Datei
								</center>
							</th>
						</tr>
						<tr>
							<td>
								Erstellungszeitpunkt:
							</td>
							<td>
								<xsl:value-of select="substring(pain:CreDtTm, 9, 2)" />
								<xsl:text>.</xsl:text>
								<xsl:value-of select="substring(pain:CreDtTm, 6, 2)" />
								<xsl:text>.</xsl:text>
								<xsl:value-of select="substring(pain:CreDtTm, 1, 4)" />
								<xsl:text>, </xsl:text>
								<xsl:value-of select="substring(pain:CreDtTm, 12, 2)" />
								<xsl:text>:</xsl:text>
								<xsl:value-of select="substring(pain:CreDtTm, 15, 2)" />
								<xsl:text> Uhr</xsl:text>
							</td>
						</tr>
						<tr>
							<td>
								Erstellt durch:
							</td>
							<td>
								<xsl:value-of select="pain:InitgPty/pain:Nm" />
							</td>
						</tr>
						<tr>
							<td>
								Anzahl Buchungen:
							</td>
							<td>
								<xsl:value-of select="pain:NbOfTxs" />
							</td>
						</tr>
						<tr>
							<td>
								Summe Buchungen:
							</td>
							<td>
								<xsl:value-of select="translate(pain:CtrlSum, '.',',')" />
							</td>
						</tr>
					</table>
				</xsl:for-each>
				<br />
				<!-- Payment Information -->
				<xsl:for-each select="//pain:PmtInf">
					<br />
					<table width="95%">
						<tr>
							<th>
							</th>
							<th>
								Name
							</th>
							<th>
								IBAN
							</th>
							<th>
								BIC
							</th>
							<th colspan="3">
								Ausfhrungsdatum
							</th>
						</tr>
						<tr>
              <td>
                Debitor
							</td>
							<td>
								<xsl:value-of select="pain:Dbtr/pain:Nm" />
							</td>
							<td>
								<xsl:value-of select="pain:DbtrAcct/pain:Id/pain:IBAN" />
							</td>
							<td>
								<xsl:value-of select="pain:DbtrAgt/pain:FinInstnId/pain:BIC" />
							</td>
							<td colspan="3">
								<xsl:value-of select="substring(pain:ReqdExctnDt, 9, 2)" />
								<xsl:text>.</xsl:text>
								<xsl:value-of select="substring(pain:ReqdExctnDt, 6, 2)" />
								<xsl:text>.</xsl:text>
								<xsl:value-of select="substring(pain:ReqdExctnDt, 1, 4)" />
							</td>
						</tr>
						<tr>
							<th>
							</th>
							<th>
								Name
							</th>
							<th>
								IBAN
							</th>
							<th>
								BIC
							</th>
							<th>
								Betrag
							</th>
							<th>
								Verwendungszweck
							</th>
							<th>
								Referenz
							</th>
						</tr>
						<xsl:for-each select="pain:CdtTrfTxInf">
							<tr>
								<td>
									Creditor
								</td>
								<td>
									<xsl:value-of select="pain:Cdtr/pain:Nm" />
								</td>
								<td>
									<xsl:value-of select="pain:CdtrAcct/pain:Id/pain:IBAN" />
								</td>
								<td>
									<xsl:value-of select="pain:CdtrAgt/pain:FinInstnId/pain:BIC" />
								</td>
								<td align="right">
									<xsl:value-of select="translate(pain:Amt/pain:InstdAmt, '.',',')" />&#160;<xsl:value-of select="pain:Amt/pain:InstdAmt/@Ccy" />
								</td>
								<td>
									<xsl:value-of select="pain:RmtInf/pain:Ustrd" />
								</td>
								<td>
									<xsl:value-of select="pain:PmtId/pain:EndToEndId" />
								</td>
							</tr>
						</xsl:for-each>
					</table>
					<br />
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
